Support » Plugins and Hacks » Known Plugin and Theme Conflicts 2.0.7

Known Plugin and Theme Conflicts 2.0.7

  • Plugin Author photocrati


    Given the size and scope of the NextGEN 2.0.0 update, there have been a number of theme and plugin conflicts.

    We addressed many of these directly in 2.0.7 and we think other conflicts will be resolved from the same changes.

    So I just wanted to start another fresh thread with the current state of affairs as of NextGEN 2.0.7.

    If you find additional conflicts, please post them here for us and for other users with the name of the plugin and the symptom of the conflict.



    OTHER SLIDER/MENU CONFLICTS. We think most other theme conflicts affecting theme sliders or menus will also be resolved.


    PLUGIN CONFLICTS THAT AFFECT SLIDERS*Some of these may be fixed as well, but we haven’t confirmed.*

    SOLILOQUY SLIDER PLUGIN. May cause aspects of our interface to disappear.

    ROYAL SLIDER. Activating 2.0 prevent slider from working.

    EVOLUTION SLIDER. The sliders cease working with NG 2.0 installed.

    NIVO SLIDER (Standalone version). NextGen Gallery 2.0.0 overrides the NivoSlider menu and places it as a submenu of Gallery (I’m assuming in the back end).

    JUSTIFIED IMAGE GRID. Activating 2.0 prevent slider from working.


    PHOTOSWIPE FOR NEXTGEN. Not working for some users with 2.0.

    SIMPLE PAYPAL SHOPPING CART. Not working for some users with 2.0.

    NEXTGEN CUSTOM FIELDS. Stopped working in templates.

    NEXTGEN GALLERY OPTIMIZER. Causes images to load solo (replaces the website) in the current browser window with NexGen 2.0.

    NEXTGEN NIVO SLIDER. Not working for some users with 2.0.


    CONTACT FORM 7. In one case, seemed to cause site crash. In another, broke shortcodes.

    EASY DIGITAL DOWNLOADS. This plus NextGEN will throw some errors in the backgroud, but doesn’t seem to affect functionality.

    CART 66. Not working for some users with 2.0.

    DBTOOLKIT. When generating pages with Nextgen embedded in the code, not showing the thumbnails anymore.

    QTRANSLATE. Language shortcodes like [:en][:de] in “Alt & Title Text / Description” don’t work anymore.

    MAPPRESS EASY GOOGLE MAPS. This one causes NextGEN short codes to stop working and causes the Attach to Post interface to be blank when trying to add galleries.

    THEME CONFLICTS*Some of these may be fixed as well, but we haven’t confirmed.*

    ECCLESIA THEME. Works fine if you turn of NG permalinks, but there’s no longer any way to do this.

    FLEXFORM THEME. NG 2.0 affect the post/portfolio/team carousels in the theme. The theme carousels are completely hidden.

    RISE THEME. Causes Attach to Post interface to not appear.


Viewing 15 replies - 1 through 15 (of 129 total)
  • Frontend Uploader gives Fatal error: Call to undefined function get_current_screen() in /home/content/38/7902638/html/pcsite/wp-content/plugins/frontend-uploader/frontend-uploader.php on line 191 when attempting to update NextGEN plugin. Reverting to previous version, author of Frontend Uploader informed.

    My site runs WP 3.6 with the Watson Theme from The Theme Foundry. The slider feature at the front page stoppes working when upgrading to NGG 2.0. It still doesn’t work with NGG 2.0.7.

    Can this issue be fixed?

    PS! Everything else seems to work just fine

    My site: http://www.andersh.net

    I have a site that uses the Inspired theme: http://themeforest.net/item/inspired-responsive-business-wordpress-theme/2899892

    When Version 2 and 2.07 are turned on, the code from the plugin is displayed instead of the gallery itself…starting with something like div class=…

    It’s almost as if the initial < has somehow been removed when the shortcode is processed.

    Any help is appreciated!

    WP Post-Views works again 🙂 Thanks!

    BoldR Pro from Iceable Themes – http://www.iceablethemes.com/shop/boldr-pro/

    Appears to be a CSS issue when using admin/dashboard. Some BoldR Pro theme elements are appearing (background image, some font handling). Makes all of the admin stuff hard to read. Plugin seemed to work on the actual blog, but didn’t do a lot of testing. Went back to 1.9.13

    I thought it was broken with Thesis 1.8x, but it works on one of my thesis sites and not on others. It may have something to do with WP Super Cache — I’m not sure yet. In any case, I’ve rolled back to 2.0 and things are working again. This was a very unpleasant experience.

    I was prompted to update NextGen Gallery on my plugins. I did and it responded that the update was a fail. The next thing I know all of my portfolio is missing. There is no NextGen Gallery listed in my plugins list and it will not allow me to reload it. Just says fail. I am at my wits end because it appears that all of my images are gone. HELP!!!!

    They did it to us again…what is wrong with you guys at Nextgen…

    Thought you got the bugs out and like a dope updated, which I had to do on your last update and then had to restore from a previous version. I loaded this one and it screwed up my Karma theme. Now everything is broken. Tried to FTP the older version of Nextgen 1.9.13 and it is still screwed up. What is wrong with you guys. Get it right before you release it. Don’t you have any beta testers?
    Too bad they don’t allow us to upload an image file so I could show you what you guys did to our site.

    I think it is time to move on to another plug in.

    Plugin Author photocrati


    @joy: Don’t uninstall/delete the plugin. As long as you do that, your galleries are fine. If you submit a bug report with WordPress and FTP login credentials, I’ll have a look right now. You can also roll back to 1.9.13: http://www.nextgen-gallery.com/how-to-rollback-a-version/

    @lenrapp: We did issue a public beta prior to launch of 2.0.0 which was downloaded 1000+ times with substantial feedback, but didn’t see any major issues we’re seeing now. It’s not an absence of testing – it’s the fact that so many people are using NG with so many themes and plugins and we just can’t test again thousands of them. Most of the major issues we’re seeing right now are conflict related. It sounds like yours is a conflict with the Karma theme, for example.

    I know that’s all little solace if you are having a major issue like this. Again, if you submit a bug report with credentials, I’m on working all night tonigh, and i can at least try to help you roll back, and otherwise submit details for what’s happening to our developers. Thanks.

    @steven: It’s possible you’ll see some wonky gallery styling if Supercache is enabled. That’s because we changed some gallery code, but Supercache is still caching the old stuff but it’s conflicting with the new stuff. We’ve seen two people resolve some gallery styling issues by temporarily deactivating WP Supercache.

    @puda: thanks for update.

    And to others, thanks for the additional reports.

    I tried to roll back to the previous version but that didn’t fix the issue. I have my support guys going to reinstall my entire site from the most recent back up they have.

    I did notice when I went to look at the updated nextgen files via FTP, many of the files were missing that were in the earlier version. Did you remove a number of the directories that were in the earlier version?

    You can see my site before it gets restored at:

    Home Page

    Good Luck..

    I just disabled super cache on the site and checked the page with my other browser and it seems to be back to normal.

    Apparently the downgrade worked. Stay tuned.

    I take that back, just checked my Gallery pages and only the short code appears…so something is broken. Will restore from old back up and see if it works now.

    Len Rapoport’s – Photo Gallery

    Nothing appears other then the code. Instructed our guys to restore from backup

    I am bad…when I reinstalled the plug-in files I didn’t realize it was not activated. It is back and working again. Be sure if you do this to the earlier version you clear the cache and activate the plug-in again.

    Updating to the 2.0.7 crashed my theme built in Artisteer. I disabled the NextGen plugin and the theme works. Don’t know what is conflicting.

Viewing 15 replies - 1 through 15 (of 129 total)
  • The topic ‘Known Plugin and Theme Conflicts 2.0.7’ is closed to new replies.